/*
 * @Author: renxin renxin0828@163.com
 * @Date: 2023-06-08 16:00:40
 * @LastEditors: renxin renxin0828@163.com
 * @LastEditTime: 2023-06-26 17:12:20
 * @FilePath: \yx-admin\src\api\system\role.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { defHttp } from '/@/utils/http/axios';
const debuggerApi = { debuggerApi: true };


/**
 * 河段
 */
export const getSegmentsList = () => {
  return defHttp.get({
    ...debuggerApi,
    url: `/hdinfo/list`,
  });
};
/**
 * 工程
 */
export const getProjectsList = () => {
  return defHttp.get({
    ...debuggerApi,
    url: `/gcbaseinfo/list`,
  });
};
/**
 * 地灾点
 */
export const getMonitorsList = () => {
  return defHttp.get({
    ...debuggerApi,
    url: `/dzdxinfo/list`,
  });
};
 
/**
 * 设备
 */
export const getDevicesList = () => {
  return defHttp.get({
    url: `/role/devicesData`,
  });
};

 
/**
 * RUT
 */
export const getRutList = () => {
  return defHttp.get({
    url: `/role/rtuData`,
  });
};


/**
 * 传感器
 */
export const getSensorsList = () => {
  return defHttp.get({
    url: `/role/sensorsData`,
  });
};

/**
 * 接入数据
 */
export const getMultiDatasList = () => {
  return defHttp.get({
    ...debuggerApi,
    url: `/dzsbsjjr/list`,
  });
};